Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class AdminAddType

    java.lang.Object
      nz.co.cks.tms.xml.AdminAddType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AdminAdd

public abstract class AdminAddType
extends java.lang.Object
implements java.io.Serializable

Class AdminAddType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Ncb` | `_ncb` Field _ncb
`private java.util.Vector` | `_ncbAddressList` Field _ncbAddressList
`private java.util.Vector` | `_ncbServiceList` Field _ncbServiceList

Constructor Summary
`AdminAddType()`

Method Summary
`void` | `addNcbAddress(int index, NcbAddress vNcbAddress)` Method addNcbAddress
`void` | `addNcbAddress(NcbAddress vNcbAddress)` Method addNcbAddress
`void` | `addNcbService(int index, NcbService vNcbService)` Method addNcbService
`void` | `addNcbService(NcbService vNcbService)` Method addNcbService
`java.util.Enumeration` | `enumerateNcbAddress()` Method enumerateNcbAddress
`java.util.Enumeration` | `enumerateNcbService()` Method enumerateNcbService
`Ncb` | `getNcb()` Method getNcbReturns the value of field 'ncb'.
`NcbAddress[]` | `getNcbAddress()` Method getNcbAddress
`NcbAddress` | `getNcbAddress(int index)` Method getNcbAddress
`int` | `getNcbAddressCount()` Method getNcbAddressCount
`NcbService[]` | `getNcbService()` Method getNcbService
`NcbService` | `getNcbService(int index)` Method getNcbService
`int` | `getNcbServiceCount()` Method getNcbServiceCount
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcbAddress()` Method removeAllNcbAddress
`void` | `removeAllNcbService()` Method removeAllNcbService
`NcbAddress` | `removeNcbAddress(int index)` Method removeNcbAddress
`NcbService` | `removeNcbService(int index)` Method removeNcbService
`void` | `setNcb(Ncb ncb)` Method setNcbSets the value of field 'ncb'.
`void` | `setNcbAddress(int index, NcbAddress vNcbAddress)` Method setNcbAddress
`void` | `setNcbAddress(NcbAddress[] ncbAddressArray)` Method setNcbAddress
`void` | `setNcbService(int index, NcbService vNcbService)` Method setNcbService
`void` | `setNcbService(NcbService[] ncbServiceArray)` Method setNcbService
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ncb

    private Ncb _ncb

  Field _ncb

### _ncbAddressList

    private java.util.Vector _ncbAddressList

  Field _ncbAddressList

### _ncbServiceList

    private java.util.Vector _ncbServiceList

  Field _ncbServiceList

Constructor Detail

### AdminAddType

    public AdminAddType()

Method Detail

### addNcbAddress

    public void addNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbAddress

    public void addNcbAddress(NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbService

    public void addNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbService

    public void addNcbService(NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateNcbAddress

    public java.util.Enumeration enumerateNcbAddress()

  Method enumerateNcbAddress

### enumerateNcbService

    public java.util.Enumeration enumerateNcbService()

  Method enumerateNcbService

### getNcb

    public Ncb getNcb()

  Method getNcbReturns the value of field 'ncb'.

  Returns:
    the value of field 'ncb'.

### getNcbAddress

    public NcbAddress[] getNcbAddress()

  Method getNcbAddress

### getNcbAddress

    public NcbAddress getNcbAddress(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbAddress

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbAddressCount

    public int getNcbAddressCount()

  Method getNcbAddressCount

### getNcbService

    public NcbService[] getNcbService()

  Method getNcbService

### getNcbService

    public NcbService getNcbService(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbService

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbServiceCount

    public int getNcbServiceCount()

  Method getNcbServiceCount

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcbAddress

    public void removeAllNcbAddress()

  Method removeAllNcbAddress

### removeAllNcbService

    public void removeAllNcbService()

  Method removeAllNcbService

### removeNcbAddress

    public NcbAddress removeNcbAddress(int index)

  Method removeNcbAddress

  Parameters:
    `index` -

### removeNcbService

    public NcbService removeNcbService(int index)

  Method removeNcbService

  Parameters:
    `index` -

### setNcb

    public void setNcb(Ncb ncb)

  Method setNcbSets the value of field 'ncb'.

  Parameters:
    `ncb` - the value of field 'ncb'.

### setNcbAddress

    public void setNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbAddress

    public void setNcbAddress(NcbAddress[] ncbAddressArray)

  Method setNcbAddress

  Parameters:
    `ncbAddressArray` -

### setNcbService

    public void setNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbService

    public void setNcbService(NcbService[] ncbServiceArray)

  Method setNcbService

  Parameters:
    `ncbServiceArray` -

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD